System Requirements

This table outlines the requirements for using the ACT Engage Web system. In some cases, older versions of the applications will work; however, these are not officially supported by ACT Engage.
Web Browser
Google ChromeCurrent Version
Mozilla FirefoxCurrent Version
Apple SafariCurrent Version
Adobe Flash Plug-inVersion 9.0.115+
JavaScriptMust be enabled; automatically included with supported browsers
CookiesMust be enabled; supported in the above browsers
Screen Resolution1024 × 768+